require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")






L加载配置_一体化()
local 返回一次藏身处=1
local _城镇事件不处理=0
local 使用一次Esc=1
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end


	if 地图Ptr.位置==0	 then
		--收到大号提示地图完成
		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		L当前地图计时(3)
		local _自身=L自身信息()
	
		if _自身.ID>0 and _自身.HP==0 	then 
	
			L复活()

		--	Fn_召唤大号过来帮忙帝王(G大号意外死亡)
			L地图是否完成(0)
			L信息("意外死亡...")
			goto Next
		end 
	
		if L取队员口令(G大号意外死亡)==1		then --
			
			L地图是否完成(0)
			L返回城镇()
			L前往指定地图队友身边()
			goto Next
		elseif L取队员口令(G大号完成地图重新开图)==1	or L取队员口令(G大号感谢)==1 or  L地图是否完成()~=0	or  L队伍人数()==0  then --
			L地图是否完成(1)

			Fn_召唤大号过来帮忙帝王(G小号感谢)
			if	  Fn_包满回城()==1			then --
			
				_城镇事件不处理=1
				L信息("当前执行 => 背包满了选择回城")
				L设置背满事件(1)
				goto Next

			end 

			
			L异界是否完成()

			L关闭地图探索()
			L关闭反击()

			if	L地图是否完成()~=0			then -- 
				L信息("当前执行: => 地图探索完成...")

				if Q_前往异界BOSS复活点回城()==1		then 
					L返回城镇()
				end

				goto Next
			else 
			
				if Fn_前往死亡坐标()==1		then 

				end
			end

			L设置探索地图(探索类型.异界刷图)
			goto Next
		else

			L设置探索地图(探索类型.停止)
			goto Next
		end

	else 

		if Fn_使用物品("儀式知識之書")==1			then --
			L信息("成功使用知识之书...自动学习祭坛天赋")
			L延时(2000)
		end 
		
		L自动学习异界天赋()
		local _祭祀获得天赋点=L已获得异界天赋点()
		local _祭祀剩余天赋点=L剩余异界天赋点()
		if _祭祀剩余天赋点>0			then --
			L信息("当前还有未加点的祭祀天赋点..如果你没有录制祭祀天赋点，请自行录制一份加点天赋 保存到自己对应的配置目录下 祭祀天赋点.txt")
			goto Next
		end 
		if _祭祀获得天赋点>=6			then --

			if _祭祀获得天赋点==6			then --
				--前往NPC领取奖励
		
				g全局记录变量.领取NPC奖励=0
				if Fn_藏身处领取NPC奖励("Metadata/NPC/Hideout/BloodPriestFemale*","祭祀輿圖技能書","儀式知識之書")==1		then --
					L信息("查看是否有奖励需要领取...")
					goto Next
				end 
			else 
				if L升华天赋点()==8		then 
					L离开队伍(1)
					L队长离队(1)
					L更改脚本("一体化脚本.lua")
					L信息("帝王已经顺利完成")
				else 
					L信息("当前升华试炼4还未完成..等待完成")
				end 
			end
			goto Next
		end 
		g全局记录变量.全局记录还未清空=1

		L关闭地图探索()
		if 地图Ptr.位置==2			then --
			返回一次藏身处=1
			if G交易完返回自己藏身处==0 and L自身藏身处()==0			then --
				L返回藏身处()
				
			end
		end 

		if 地图Ptr.位置==3			then --
			if 返回一次藏身处==0		then 
				L选择藏身处()
			end 
		end


		if 地图Ptr.位置~=0	and	地图Ptr.位置~=2	and	 返回一次藏身处==1 then
			-- body
			L返回藏身处()
			返回一次藏身处=0
			goto Next
		end
		if G交易完返回自己藏身处~=2 and L执行间隔("30秒执行一次Esc",30*1000)==1	and L倒货状态()~=1 	then 
			if L可视UI(UI_可视偏移.UI打开NPC框)==1      then 
				L结束对话()
			end
			LEsc()
			L放下鼠标上的物品()
		end 
		
	
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end

		

	
		if Fn_藏身處补充药剂(地图Ptr)==1			then --
			L信息("补充药剂")
			goto Next
		end 
	
		if	L倒货状态()==0 and Fn_包满回城()==1			then --
			D重置状态()
			L信息("需要处理背包...")
			_城镇事件不处理=1
		end



		if g回城优先存仓一次==0 			then --
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
		end 
		
		g回城优先存仓一次=1
		if Fn_地图鉴定(地图Ptr)==1		then 
			L信息("鉴定物品...")
			goto Next
		end

		if Fn_处理分解()==1			then --
			L信息("分解中...")
			goto Next
		end 
		if	Fn_藏身处物品处理()==1			then --
			L信息("藏身处物品处理")
			goto Next
		end



		L重置所有事件计数()
		L关闭地图探索(1)
		L关闭反击(1)

		if L大号是否进组()==1			then --
			local _無量困境_传送门=L周围对象("MultiplexPortal")
			if _無量困境_传送门.ID>0	and _無量困境_传送门.名称~="無量困境"		then --
				L地图是否完成(1)
			end 
	
			if L取队员口令(G大号完成地图重新开图)==1	and G开启帝王副本==0 	then --
			
	
				L地图是否完成(1)
				
				G开启帝王副本=1
		
			elseif L取队员口令(G大号同意)==1	and G开启帝王副本==1 	then --
				G开启帝王副本=0
			elseif L取队员口令(G大号阶段了可以进来)==1		then --
				Fn_召唤大号过来帮忙帝王(G大号同意)		
		
			end 
		
		

			if Fn_开启异界地图_不进入(2)==0       then

				if L取队员口令(G大号阶段了可以进来)==1			then --
				
					if L查找队员到达指定地点人数("無量困境")>0		then 
					
						if	Fn_异界开图(2)==1		then --
							
						end
				
						L设置探索地图(探索类型.停止)
						goto Next
					end
				-- elseif L取队员口令(G大号完成地图重新开图)==1	and G开启帝王副本==0		then --
				-- 	L地图是否完成(1)
				-- 	G开启帝王副本=1
		
				else 
					Fn_召唤大号过来帮忙帝王(G大号先进我在外面等)
					
				end
	
			end
				--查找队员在指定地图人数
		else 

	
			Fn_召唤大号过来帮忙帝王(G大号帮忙帝王)
		end 

	

	end







	--
	L设置探索地图(1)


	--Fn_城镇物品处理()
::Next::

end

